### KEY

#### Synopsis

    HELP:   Several key management functions
    TYPE:   OBJECT
    SYNTAX: > flcl KEY(NET.{},IMPORT[{}...],GENERATE[{}...],EXPORT[{}...],DELETE[{}...],LIST[{}...],DIR(),LOG())

#### Description

The KEY command can be used to manage keys for several cryptographic systems and infrastructures. With the KEY command, you can, for example, generate, export and import keys for the FLAM PGP support. The KEY command utilizes the FLAM key management extension version 5 to support several hardware security modules (HSM) or crypto interfaces (PKCS#11).

Normally, these functions are realized by a key management solution and FLAM supposes the static keys for encryption and signing are in place. But on some platforms, there is no solution readily available to manage PGP or other kinds of keys. In this case, these functions can be used to prepare the crypto environment so that FLAM can be used to protect confidentiality, integrity and completeness of your data.

To get syntax information, please use:

       flcl SYNTAX KEY

To get help for a parameter, please use:

       flcl HELP KEY.parameter[.parameter[...]]

To read the manual page for a parameter, please use:

       flcl MANPAGE KEY.parameter[.parameter[...]]
          or
       flcl HELP KEY.parameter[.parameter[...]] MAN

To generate the user manual for a command, please use:

       flcl GENDOCU KEY=filename

Parameters can be defined by the command line (directly or per file) or by properties read from the corresponding property file.

#### Examples

       flcl KEY import.pgp(file='keyFile.pgp') # import keys from file keyFile.pgp